summaryrefslogtreecommitdiff
path: root/ext
diff options
context:
space:
mode:
authornobu <nobu@b2dd03c8-39d4-4d8f-98ff-823fe69b080e>2012-04-22 12:39:55 +0000
committernobu <nobu@b2dd03c8-39d4-4d8f-98ff-823fe69b080e>2012-04-22 12:39:55 +0000
commitf2e9040aff1c4d32ee8dc0302f0d214ea2609a94 (patch)
tree4f0cf2c8a0b18cf52778676db04c3f3099b6991c /ext
parentec646dccdd208802f571afe6fff71f67de62029c (diff)
* ext/openssl/extconf.rb: ignore broken version by Apple.
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@35427 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Diffstat (limited to 'ext')
-rw-r--r--ext/openssl/extconf.rb8
1 files changed, 5 insertions, 3 deletions
diff --git a/ext/openssl/extconf.rb b/ext/openssl/extconf.rb
index d271cf83b9f..e214173173e 100644
--- a/ext/openssl/extconf.rb
+++ b/ext/openssl/extconf.rb
@@ -57,6 +57,11 @@ unless have_header("openssl/conf_api.h")
message "OpenSSL 0.9.6 or later required.\n"
exit 1
end
+if try_compile("", flag = "-Werror=deprecated-declarations")
+ unless have_func("SSL_library_init()", "openssl/ssl.h", flag)
+ abort "Ignore OpenSSL broken by Apple"
+ end
+end
message "=== Checking for OpenSSL features... ===\n"
have_func("ERR_peek_last_error")
@@ -139,9 +144,6 @@ have_struct_member("X509_ATTRIBUTE", "single", "openssl/x509.h")
message "=== Checking done. ===\n"
-if try_compile("", flag = " -Wno-deprecated-declarations")
- $warnflags << flag
-end
create_header
create_makefile("openssl")
message "Done.\n"